<?php
/** 
* @package	Forum 
* @file		pms.php
* @version	1.0.x, 08-04-2008, 17:34 
* @copyright	2008(c) PioDer <pioder@wp.pl>
* @link 	http://pioder.gim2przemysl.int.pl/dsf.html
* @license	GNU GPL v3
**/
define('IN_uF', true);
//include files
include('./config.php');
include('./includes/constants.php');
include('./includes/class_db.php');
include('./includes/class_error.php');
//connect to database
DataBase::db_connect();
include('./includes/sessions.php');
include('./includes/class_user.php');
include('./common.php');
include('./includes/classes/class_pms.php');
include('./includes/class_overall.php');
include('./includes/class_forum.php');
include('./includes/class_posting.php');
include('./includes/class_topic.php');
include('./includes/classes/secure.php');
include('./lngs/'.Over::DefaultLang().'/main.php');
$start = Over::TimeGeneration();
sess_del_invalid($_SESSION['uid']);	
sess_register($_SESSION['uid']);
sess_delete_old();
if  ($_SESSION['uid']<1)
{
	$stop = Over::TimeGeneration();
	message_forum($lng['youarenotlogd'],'login.php?mode=login');
}
foreach ($_POST as $name => $value)
{
	if ($forum_config['use_censorlist'])
	{
		$_POST[$name] = Secure::UseCensorlist($value);
	}
}
$uid = $_SESSION['uid'];
$default_skin = Over::ViewSkinName();
if (isset($_GET['mode']))
{
	switch($_GET['mode'])
	{
		case 'folder':
		{
			include ('./includes/pms/pms_folder.php');
			break;	
		}
		//delete message		
		case 'delete':
		{
			include ('./includes/pms/pms_delete.php');
			break;
		}
		case 'view':
		{
			include ('./includes/pms/pms_view.php');
			break;
		}
		//write message
		case 'write':
		{
			include ('./includes/pms/pms_write.php');
			break;
		}
		default:
		{
			$stop = Over::TimeGeneration();
			message_forum($lng['invalidmode'],'index.php');
			break;
		}
	}
}
else
{
	header('Location: pms.php?mode=folder&submode=inbox');
}
?>
